=== plugins/applet/tipsoftheday/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
project(plasma-applet-tipsoftheday)
FIND_PACKAGE(KDE4 4.8.0 REQUIRED)
INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES}
)
set(tipsofthedayapplet_SRCS
    tipsofthedayapplet.cpp)

kde4_add_plugin(plasma_applet_tipsoftheday ${tipsofthedayapplet_SRCS})
target_link_libraries(plasma_applet_tipsoftheday ${KDE4_KDEUI_LIBS} ${KDE4_PLASMA_LIBS} ${KDE4_KPARTS_LIBS} skgbasemodeler skgbasegui)

install(TARGETS plasma_applet_tipsoftheday DESTINATION ${PLUGIN_INSTALL_DIR} )
install(FILES tipsofthedayapplet.desktop DESTINATION ${SERVICES_INSTALL_DIR})
