=== plugins/generic/skg_monthly/CMakeLists.txt ===
#***************************************************************************
#*   Copyright (C) 2008 by S. MANKOWSKI / G. DE BURE support@mankowski.fr  *
#*                                                                         *
#*   This program is free software; you can redistribute it and/or modify  *
#*   it under the terms of the GNU General Public License as published by  *
#*   the Free Software Foundation; either version 2 of the License, or     *
#*   (at your option) any later version.                                   *
#*                                                                         *
#*   This program is distributed in the hope that it will be useful,       *
#*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
#*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
#*   GNU General Public License for more details.                          *
#*                                                                         *
#*   You should have received a copy of the GNU General Public License     *
#*   along with this program.  If not, see <http://www.gnu.org/licenses/>  *
#***************************************************************************
MESSAGE( STATUS "..:: CMAKE PLUGIN_MONTHLY ::..")

PROJECT(plugin_monthly)

ADD_SUBDIRECTORY(grantlee_filters)

INCLUDE_DIRECTORIES( ${PROJECT_BINARY_DIR} ${KDE4_INCLUDES} ${QT_INCLUDES} ${Grantlee_INCLUDE_DIRS} 
${CMAKE_SOURCE_DIR}/skgbasemodeler ${CMAKE_SOURCE_DIR}/skgbasegui ${CMAKE_BINARY_DIR}/skgbasegui
)
LINK_DIRECTORIES (${LIBRARY_OUTPUT_PATH})

SET(skg_monthly_SRCS
	skgmonthlyplugin.cpp
	skgmonthlypluginwidget.cpp)

kde4_add_ui_files(skg_monthly_SRCS skgmonthlypluginwidget_base.ui)

kde4_add_plugin(skg_monthly ${skg_monthly_SRCS})
TARGET_LINK_LIBRARIES(skg_monthly ${KDE4_KPARTS_LIBS} ${QT_QTWEBKIT_LIBRARY} ${KDE4_KNEWSTUFF3_LIBS} ${Grantlee_CORE_LIBRARIES} skgbasemodeler skgbasegui)

########### install files ###############
INSTALL(TARGETS skg_monthly DESTINATION ${PLUGIN_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg-plugin-monthly.desktop DESTINATION ${SERVICES_INSTALL_DIR})
INSTALL(FILES ${PROJECT_SOURCE_DIR}/skg_monthly.rc  DESTINATION  ${DATA_INSTALL_DIR}/skg_monthly )
