=== debian/changelog ===
skrooge (1.8.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Sat, 12 Oct 2013 16:16:54 +1100
