=== debian/watch ===
version=3
http://skrooge.org/download \
(?:.*/|)skrooge(?:-|_|-v|_v|\.|V|)(\d\S*)\.(?:tar\.(?:gz|bz2|xz)|tgz|tbz2|txz|zip)(?:|\?\S+) debian svn-upgrade
# Bart Martens <bartm@debian.org> 2013-07-04 05:52:03
